Subject: Re: Problem with memcpy on ppc8536

From: Albrecht Dreß <[email-masked]>
Date: Fri, 19 Jun 2009 19:28:12 +0200

Am 19.06.09 19:06 schrieb(en) Lorenz Kolb:
> Could you please try the following patch, I am quite sure that  
> checking for > 4 was accidentially done within io.c instead of >= 4  
> as if it's 4 we still can copy a 32-bit word. Some hardware might not  
> be happy about 8-bit accesses...

I submitted the same patch a while ago, see  
<http://lists.ozlabs.org/pipermail/linuxppc-dev/2009-May/072582.html>  
and  
<http://lists.ozlabs.org/pipermail/linuxppc-dev/2009-June/073065.html>,  
maybe you can add a tested/revied for it?

If it is a problem with *byte* accesses, you might want to have a look  
at  
<http://lists.ozlabs.org/pipermail/linuxppc-dev/2009-June/072903.html>.

Best, Albrecht.